! interfaces required for the 'st' units
module st_interface
  interface 
     subroutine gauss(a,b,n,det)
       use cadna
       integer,intent(in) :: n
       type(double_st),dimension(n,n),intent(inout) :: a
       type(double_st),dimension(n),intent(inout) :: b
       type(double_st),intent(out) :: det
     endsubroutine gauss
     subroutine st_solve(a,x,b,n,err_min,err_max,deci_min,deci_max)
       use cadna
       integer,intent(in) :: n
       type(double_st),dimension(n,n),intent(in) :: a
       type(double_st),dimension(n),intent(out) :: x
       type(double_st),dimension(n),intent(in) :: b
       real(kind(0.d0)),intent(out) :: err_min,err_max
       integer,intent(out) :: deci_min,deci_max
     endsubroutine st_solve
  endinterface
endmodule st_interface
