! interfaces required for the 'lapack' units
module lapack_interface
  interface 
     subroutine dgesvx(fact,trans,n,nrhs,a,lda,af,ldaf,ipiv,equed,r,c,b,ldb,x,ldx,rcond,ferr,berr,work,iwork,info)
      character,intent(in) :: fact,trans
      integer,intent(in) :: n,nrhs,lda,ldaf,ldb,ldx
      real(kind(0.d0)),dimension(lda,n),intent(inout) :: a
      real(kind(0.d0)),dimension(ldaf,n),intent(inout) :: af
      integer,dimension(n),intent(inout) :: ipiv
      character,intent(inout) :: equed
      real(kind(0.d0)),dimension(n),intent(inout) :: r,c
      real(kind(0.d0)),dimension(ldb,nrhs),intent(inout) :: b
      real(kind(0.d0)),dimension(ldx,nrhs),intent(out) :: x
      real(kind(0.d0)),intent(out) :: rcond
      real(kind(0.d0)),dimension(nrhs),intent(out) :: ferr,berr
      real(kind(0.d0)),dimension(4*n),intent(out) :: work
      integer,dimension(n),intent(out) :: iwork
      integer,intent(out) :: info
    endsubroutine dgesvx
    subroutine lapack_solve(a,x,b,n,err_min,err_max,f_err,b_err)
      integer,intent(in) :: n
      real(kind(0.d0)),dimension(n,n),intent(in) :: a
      real(kind(0.d0)),dimension(n),intent(out) :: x
      real(kind(0.d0)),dimension(n),intent(in) :: b
      real(kind(0.d0)),intent(out) :: err_min,err_max,f_err,b_err
     endsubroutine lapack_solve
  endinterface
endmodule lapack_interface
