subroutine error(code) 
  integer,intent(in) :: code

  select case(code)
  case(100:199)
     call error100(code) ! special
  case(200:299)
     call error200(code) ! system problems : io, memory
  case(300:399)
     call error300(code) ! errors in data
  case(400:499)
     call error400(code) ! errors in algorithm
  endselect
  return
endsubroutine error

subroutine error100(code)
  integer,intent(in) :: code

  select case(code)
  case(101)
     print *,'ERROR: error test OK'
  endselect
  return
endsubroutine error100

subroutine error200(code)
  integer,intent(in) :: code

  select case(code)
  case(201)
     print *,'ERROR: in/out error when opening a file'
  case(202)
     print *,'ERROR: in/out error when writing in a file'
  case(203)
     print *,'ERROR: in/out error when reading a file'
  case(204)
     print *,'ERROR: memory allocation error'
  endselect
  return
endsubroutine error200

subroutine error300(code)
  integer :: code
  return
endsubroutine error300

subroutine error400(code)
  integer :: code
  return
endsubroutine error400

